Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
objspace_and_reason Struct Reference

## Data Fields
rb_objspace_t * | objspace
int | reason
int | full_mark
int | immediate_sweep

## Detailed Description

Definition at line 5077 of file gc.c.

## Field Documentation

int objspace_and_reason::full_mark

Definition at line 5080 of file gc.c.

Referenced by garbage_collect_with_gvl(), gc_start_internal(), and gc_with_gvl().

int objspace_and_reason::immediate_sweep

Definition at line 5081 of file gc.c.

Referenced by garbage_collect_with_gvl(), gc_info_decode(), gc_start_internal(), and gc_with_gvl().

rb_objspace_t* objspace_and_reason::objspace

Definition at line 5078 of file gc.c.

Referenced by garbage_collect_with_gvl(), and gc_with_gvl().

int objspace_and_reason::reason

Definition at line 5079 of file gc.c.

Referenced by garbage_collect_with_gvl(), and gc_with_gvl().

The documentation for this struct was generated from the following file:

- gc.c